Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 592102 - dev-libs/liblouis missing dev-perl/Locale-gettext buildtime dependency required for translations.
Summary: dev-libs/liblouis missing dev-perl/Locale-gettext buildtime dependency requir...
Status: RESOLVED DUPLICATE of bug 592880
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Accessibility Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-08-25 14:16 UTC by Oleh
Modified: 2016-09-04 15:57 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,41.02 KB, text/x-log)
2016-08-25 14:17 UTC, Oleh
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Oleh 2016-08-25 14:16:49 UTC
as in summary

Reproducible: Always

Steps to Reproduce:
1. make sure test box has no dev-perl/Locale-gettext installed or remove it.
2. attempt to install dev-libs/liblouis
3. notice failure
4. emerge -1 dev-perl/Locale-gettext
5. liblouis installation successful.
Actual Results:  
Makefile:785: recipe for target 'lou_trace.1' failed
make[1]: *** [lou_trace.1] Error 2
Can't locate Locale/gettext.pm in @INC (you may need to install the Locale::gettext module) (@INC contains: /etc/perl /usr/local/lib64/perl5/5.22.2/x86_64-linux-thread-multi /usr/local/lib64/perl5/5.22.2 /usr/lib64/perl5/vendor_perl/5.22.2/x86_64-linux-thread-multi /usr/lib64/perl5/vendor_perl/5.22.2 /usr/local/lib64/perl5 /usr/lib64/perl5/vendor_perl /usr/lib64/perl5/5.22.2/x86_64-linux-thread-multi /usr/lib64/perl5/5.22.2 .) at /usr/bin/help2man line 29.
BEGIN failed--compilation aborted at /usr/bin/help2man line 29.
Makefile:780: recipe for target 'lou_translate.1' failed
make[1]: *** [lou_translate.1] Error 2
make[1]: Leaving directory '/var/tmp/portage/dev-libs/liblouis-2.5.3/work/liblouis-2.5.3/man'
Makefile:623: recipe for target 'all-recursive' failed
make: *** [all-recursive] Error 1
 * ERROR: dev-libs/liblouis-2.5.3::gentoo failed (compile phase):
 *   emake failed
Comment 1 Oleh 2016-08-25 14:17:32 UTC
Created attachment 444096 [details]
build.log
Comment 2 Kent Fredric (IRC: kent\n) gentoo-dev 2016-09-04 15:57:06 UTC
This is a problem with help2man ... not really liblouis.

*** This bug has been marked as a duplicate of bug 592880 ***